io.agora.rtc

## Class VideoSubscriptionOptions

- java.lang.Object
- - io.agora.rtc.VideoSubscriptionOptions

-     public class VideoSubscriptionOptions
      extends java.lang.Object

  Video subscription options configuration class. Defines the type of video subscription and whether to subscribe only encoded frames.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `encodedFrameOnly` Flag to indicate if only encoded frames should be subscribed.
    `private int` | `type` Type of video subscription.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoSubscriptionOptions()` Default constructor.
    `VideoSubscriptionOptions(int type, int encodedFrameOnly)` Constructor with parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEncodedFrameOnly()` Gets the flag for encoded frame only subscription.
    `int` | `getType()` Gets the type of video subscription.
    `void` | `setEncodedFrameOnly(int encodedFrameOnly)` Sets the flag for encoded frame only subscription.
    `void` | `setType(int type)` Sets the type of video subscription.
    `java.lang.String` | `toString()` Returns a string representation of the VideoSubscriptionOptions object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          private int type

      Type of video subscription.

    - #### encodedFrameOnly

          private int encodedFrameOnly

      Flag to indicate if only encoded frames should be subscribed.

  - ### Constructor Detail

    - #### VideoSubscriptionOptions

          public VideoSubscriptionOptions()

      Default constructor.

    - #### VideoSubscriptionOptions

          public VideoSubscriptionOptions(int type,
                                          int encodedFrameOnly)

      Constructor with parameters.
      Parameters:
        `type` - Type of video subscription
        `encodedFrameOnly` - Flag to indicate if only encoded frames should be subscribed

  - ### Method Detail

    - #### getType

          public int getType()

      Gets the type of video subscription.
      Returns:
        Type of video subscription

    - #### setType

          public void setType(int type)

      Sets the type of video subscription.
      Parameters:
        `type` - Type of video subscription

    - #### getEncodedFrameOnly

          public int getEncodedFrameOnly()

      Gets the flag for encoded frame only subscription.
      Returns:
        Flag to indicate if only encoded frames should be subscribed

    - #### setEncodedFrameOnly

          public void setEncodedFrameOnly(int encodedFrameOnly)

      Sets the flag for encoded frame only subscription.
      Parameters:
        `encodedFrameOnly` - Flag to indicate if only encoded frames should be subscribed

    - #### toString

          public java.lang.String toString()

      Returns a string representation of the VideoSubscriptionOptions object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String representation of the object